import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');
let fruits;

let selectedFruit;
  
const onClick = d => {
    selectedFruit = d;
//    console.log({selectedFruit});
    render();
}; 
 
const render = () => {
  console.log({selectedFruit});
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height'),
    onClick,
    selectedFruit
  });
};

// Buy 5 apples.
const makeFruit = type => ({
  type,
  id: Math.random(),
});
fruits = range(5).map(() => makeFruit('apple'));
render();

// Eat an apple.
setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

// Replace an apple with a lemon.
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000);

// Eat an apple (second one from the left).
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000);